

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

@Entity
@Table(name="EMP_PROJECT")
@IdClass(ProjectAssignmentId.class)
public class ProjectAssignment {
    @Id
    @Column(name="EMP_ID", insertable=false, updatable=false)
    private int studentId;
    @Id
    @Column(name="PROJECT_ID", insertable=false, updatable=false)
    private int projectId;

    @ManyToOne
    @JoinColumn(name="EMP_ID")
    Student student;
    @ManyToOne
    @JoinColumn(name="PROJECT_ID")
    Project project;



    public ProjectAssignment() {}
    public ProjectAssignment(Student emp, Project proj) {
        this.studentId = emp.getId();
        this.student = emp;
        this.projectId = proj.getId();
        this.project = proj;
    }
    
    public int getEmpId() {
        return studentId;
    }
    
    public Student getEmployee() {
        return student;
    }

    public int getProjectId() {
        return projectId;
    }
    
    public Project getProject() {
        return project;
    }

}

